# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-shove
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define module  shove

Name:           python-module-shove
Version:        0.3.3
Release:        alt1_4
Summary:        Common object storage frontend

Group:          Development/Python
License:        BSD
URL:            http://pypi.python.org/pypi/shove/
Source0:        http://pypi.python.org/packages/source/s/%{module}/%{module}-%{version}.tar.bz2
BuildArch:      noarch

BuildRequires:  python-devel python-module-distribute
Source44: import.info

%description
Common object storage frontend that supports dictionary-style access, object
serialization and compression, and multiple storage and caching backends.

Currently supported storage backends are:

        * Amazon S3 Web Service
        * Berkeley Source Database
        * Filesystem
        * Firebird
        * FTP
        * DBM
        * Durus
        * Memory
        * Microsoft SQL Server
        * MySQL
        * Oracle
        * PostgreSQL
        * SQLite
        * Subversion
        * Zope Object Database (ZODB)

Currently supported caching backends are:

        * Filesystem
        * Firebird
        * memcached
        * Memory
        * Microsoft SQL Server
        * MySQL
        * Oracle
        * PostgreSQL
        * SQLite


%prep
%setup -q -n %{module}-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.rst
%{python_sitelibdir_noarch}/*


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.3-alt1_4
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.3-alt1_3
- initial fc import

